Verification Match
curl --request PATCH \
--url https://api-umbrella.io/api/services/phone-service/verification/{referenceId} \
--header 'Content-Type: application/json' \
--data '
{
"securityFactor": "12345"
}
'import requests
url = "https://api-umbrella.io/api/services/phone-service/verification/{referenceId}"
payload = { "securityFactor": "12345" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({securityFactor: '12345'})
};
fetch('https://api-umbrella.io/api/services/phone-service/verification/{referenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"status": {
"code": 3900,
"description": "Verified"
}
}
}{
"message": "Invalid request payload"
}{
"message": "Unauthorized request"
}{
"message": "Journey not found"
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded.",
"code": "429"
}{
"message": "Internal Server Error"
}{
"error": "Service Unavailable",
"message": "Service is unavailable.",
"code": "503"
}Phone Services
Verification Match Service
Verification Match Service API Documentation
PATCH
/
phone-service
/
verification
/
{referenceId}
Verification Match
For a usage description of the Verification Match Service, please refer to the Verification Match page.
Endpoint
PATCH/phone-service/verification/{referenceId}
Swagger
Path Parameters
Unique identifier for the verification process.
Body
application/json
The OTP provided by the end user (3–10 digits).
Pattern:
^\d{3,10}$Example:
"12345"
⌘I